From 654784fd3a33bb9407d7c5edd1f7cf89038049df Mon Sep 17 00:00:00 2001
From: Dave Stevenson <dave.stevenson@raspberrypi.com>
Date: Tue, 15 Mar 2022 18:36:10 +0000
Subject: [PATCH] dtoverlay: Add VCM option to ov5647 overlay

Signed-off-by: Dave Stevenson <dave.stevenson@raspberrypi.com>
---
 arch/arm/boot/dts/overlays/README             | 1 +
 arch/arm/boot/dts/overlays/ov5647-overlay.dts | 9 +++++++++
 2 files changed, 10 insertions(+)

--- a/arch/arm/boot/dts/overlays/README
+++ b/arch/arm/boot/dts/overlays/README
@@ -2450,6 +2450,7 @@ Params: rotation                Mounting
                                 configuring the sensor (default on)
         cam0                    Adopt the default configuration for CAM0 on a
                                 Compute Module (CSI0, i2c_vc, and cam0_reg).
+        vcm                     Configure a VCM focus drive on the sensor.
 
 
 Name:   ov7251
--- a/arch/arm/boot/dts/overlays/ov5647-overlay.dts
+++ b/arch/arm/boot/dts/overlays/ov5647-overlay.dts
@@ -38,6 +38,13 @@
 					};
 				};
 			};
+
+			vcm: ad5398@0c {
+				compatible = "adi,ad5398";
+				reg = <0x0c>;
+				status = "disabled";
+				VANA-supply = <&cam1_reg>;
+			};
 		};
 	};
 
@@ -95,5 +102,7 @@
 		       <&clk_frag>, "target:0=",<&cam0_clk>,
 		       <&ov5647>, "clocks:0=",<&cam0_clk>,
 		       <&ov5647>, "avdd-supply:0=",<&cam0_reg>;
+		vcm = <&vcm>, "status=okay",
+		      <&ov5647>,"lens-focus:0=", <&vcm>;
 	};
 };
